QueueProfile (Mule ESB 2.2.1 API)
Keywords: org.mule.config.QueueProfile class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class QueueProfile

    java.lang.Object
      org.mule.config.QueueProfile

    public class QueueProfile

extends Object

`QueueProfile` determines how an internal queue for a service will behave

Constructor Summary
`QueueProfile()`
`QueueProfile(int maxOutstandingMessages, boolean persistent)`
`QueueProfile(QueueProfile queueProfile)`

Method Summary
`void` | `configureQueue(String component, QueueManager queueManager)`
`int` | `getMaxOutstandingMessages()` This specifies the number of messages that can be queued before it starts blocking.
`boolean` | `isPersistent()`
`void` | `setMaxOutstandingMessages(int maxOutstandingMessages)` This specifies the number of messages that can be queued before it starts blocking.
`void` | `setPersistent(boolean persistent)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueueProfile

    public QueueProfile()

### QueueProfile

    public QueueProfile(int maxOutstandingMessages,
                        boolean persistent)

### QueueProfile

    public QueueProfile(QueueProfile queueProfile)

Method Detail

### getMaxOutstandingMessages

    public int getMaxOutstandingMessages()

  This specifies the number of messages that can be queued before it starts blocking.

  Returns:
    the max number of messages that will be queued

### setMaxOutstandingMessages

    public void setMaxOutstandingMessages(int maxOutstandingMessages)

  This specifies the number of messages that can be queued before it starts blocking.

  Parameters:
    `maxOutstandingMessages` - the max number of messages that will be queued

### isPersistent

    public boolean isPersistent()

### setPersistent

    public void setPersistent(boolean persistent)

### configureQueue

    public void configureQueue(String component,
                               QueueManager queueManager)
                        throws InitialisationException

  Throws:
    `InitialisationException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.